---
expeditor:
  defaults:
    buildkite:
      retry:
        automatic:
          limit: 1
      timeout_in_minutes: 30

steps:
- label: lint-chefstyle
  command:
    - .expeditor/run_linux_tests.sh "rake style"
  expeditor:
    executor:
      docker:
        image: ruby:2.6-buster

- label: run-specs-ruby-2.6
  command:
    - .expeditor/run_linux_tests.sh rspec
  expeditor:
    executor:
      docker:
        image: ruby:2.6-buster

- label: run-specs-ruby-2.7
  command:
    - .expeditor/run_linux_tests.sh rspec
  expeditor:
    executor:
      docker:
        image: ruby:2.7-buster
